//! assert eval(0x00000001_00000002_00000003_00000004) => 0x00000001_00000002_00000022_00000004
//! assert eval(0x00000005_00000006_00000007_00000008) => 0x00000005_00000006_00000022_00000008
//! assert eval(0x00000009_0000000a_0000000b_0000000c) => 0x00000009_0000000a_00000022_0000000c
//! assert eval(0x0000000d_0000000e_0000000f_00000000) => 0x0000000d_0000000e_00000022_00000000
use pbc_zk::Sbi32;

pub fn extract_one(mut x: [Sbi32; 4]) -> [Sbi32; 4] {
    x[1] = Sbi32::from(34);
    x
}
